Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.string
Class StringFactory.UninitializedStringFactory

    java.lang.Object
      com.servingxml.components.string.StringFactory.UninitializedStringFactory

All Implemented Interfaces:
  Stringable, StringFactory

Enclosing interface:
  StringFactory

    public static class StringFactory.UninitializedStringFactory

extends java.lang.Object
implements StringFactory

Nested Class Summary

Nested classes/interfaces inherited from interface com.servingxml.components.string.StringFactory
`StringFactory.UninitializedStringFactory`

Nested classes/interfaces inherited from interface com.servingxml.components.string.Stringable
`Stringable.EmptyStringable`

Field Summary

Fields inherited from interface com.servingxml.components.string.StringFactory
`UNINITIALIZED`

Fields inherited from interface com.servingxml.components.string.Stringable
`EMPTY, EMPTY_ARRAY`

Constructor Summary
`StringFactory.UninitializedStringFactory()`

Method Summary
`java.lang.String` | `createString(ServiceContext context, Flow flow)`
`void` | `createString(ServiceContext context, Flow flow, java.lang.StringBuilder builder)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringFactory.UninitializedStringFactory

    public StringFactory.UninitializedStringFactory()

Method Detail

### createString

    public final java.lang.String createString(ServiceContext context,
                                               Flow flow)

  Specified by:
    `createString` in interface `Stringable`
  Specified by:
    `createString` in interface `StringFactory`

### createString

    public final void createString(ServiceContext context,
                                   Flow flow,
                                   java.lang.StringBuilder builder)

  Specified by:
    `createString` in interface `StringFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD